<?php

namespace OrganizationsManagement\Factory;

use OrganizationsManagement\Util\InstanceProvider;
use Teknisa\Model\Teknisa\Entities\Operclie as OperclieEntity;

class Operclie {

    public function create($cdcliente, $cdOperador, $idtpoperclie, $nrpriopercli, $currentNrorg, $currentOperator,
                           $dtAtual, $idemailencso = null, $idpartacorer = 'N', $idativo = 'S')
    {
        $entity  = new OperclieEntity();
        $entity->setDtinclusao($dtAtual);
        $entity->setCdoperinclusao($currentOperator);
        $entity->setNrorginclusao($currentNrorg);

        $entity->setDtultatu($dtAtual);
        $entity->setCdoperultatu($currentOperator);
        $entity->setNrorgultatu($currentNrorg);

        $entity->setNrorg($currentNrorg);
        $entity->setIdativo($idativo);

        $entity->setCdcliente($cdcliente);
        $entity->setCdoperador($cdOperador);
        $entity->setIdtpoperclie($idtpoperclie);
        $entity->setNrpriopercli($nrpriopercli);
        $entity->setIdpartacorer($idpartacorer);
        $entity->setIdemailencso($idemailencso);

        return $entity;
    }
}